The Norce Management API lets you manage configurations and metadata on a client.
The Norce Management API lets you manage configurations and metadata on a client.
https://{slug}.api-se.playground.norce.tech/commerce/
https://{slug}.api-se.stage.norce.tech/commerce/
https://{slug}.api-se.norce.tech/commerce/
https://customer-slug.api-se.playground.norce.tech/commerce/management/1.0/api/application/{id}
https://customer-slug.api-se.stage.norce.tech/commerce/management/1.0/api/application/{id}
https://customer-slug.api-se.norce.tech/commerce/management/1.0/api/application/{id}
curl -i -X GET \
'https://customer-slug.api-se.playground.norce.tech/commerce/management/1.0/api/application/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'account-id: 0' \
-H 'application-id: 0'Returns the Application
The base URL of the product catalog for the application, used together with a product unique identifier to get the product page from the shop. The allowed "wildcards" are {uniqueurl}, {productid} and {partno}, e.g. "https://demo.shop.com/products/{productId}", "https://demo.shop.com/products/{partNo}" or "https://demo.shop.com/products/{uniqueUrl}"
{ "Id": 0, "Key": "5eb041b0-19c9-4022-bd51-0e723885f5dd", "Name": "string", "Description": "string", "HostClientId": 0, "Url": "string", "ProductUrl": "string", "IsActive": true, "Changed": "string", "ChangedBy": "string" }
Application model, only Name, Description, Url, ProductUrl and IsActive are updateable
The base URL of the product catalog for the application, used together with a product unique identifier to get the product page from the shop. The allowed "wildcards" are {uniqueurl}, {productid} and {partno}, e.g. "https://demo.shop.com/products/{productId}", "https://demo.shop.com/products/{partNo}" or "https://demo.shop.com/products/{uniqueUrl}"
https://customer-slug.api-se.playground.norce.tech/commerce/management/1.0/api/application/{id}
https://customer-slug.api-se.stage.norce.tech/commerce/management/1.0/api/application/{id}
https://customer-slug.api-se.norce.tech/commerce/management/1.0/api/application/{id}
curl -i -X PUT \
'https://customer-slug.api-se.playground.norce.tech/commerce/management/1.0/api/application/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'account-id: 0' \
-H 'application-id: 0' \
-d '{
"Id": 0,
"Key": "5eb041b0-19c9-4022-bd51-0e723885f5dd",
"Name": "string",
"Description": "string",
"HostClientId": 0,
"Url": "string",
"ProductUrl": "string",
"IsActive": true,
"Changed": "string",
"ChangedBy": "string"
}'0
https://customer-slug.api-se.playground.norce.tech/commerce/management/1.0/api/application/byclient
https://customer-slug.api-se.stage.norce.tech/commerce/management/1.0/api/application/byclient
https://customer-slug.api-se.norce.tech/commerce/management/1.0/api/application/byclient
curl -i -X GET \
https://customer-slug.api-se.playground.norce.tech/commerce/management/1.0/api/application/byclient \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'account-id: 0' \
-H 'application-id: 0'Returns the list of applications for the current client, if any exists
The base URL of the product catalog for the application, used together with a product unique identifier to get the product page from the shop. The allowed "wildcards" are {uniqueurl}, {productid} and {partno}, e.g. "https://demo.shop.com/products/{productId}", "https://demo.shop.com/products/{partNo}" or "https://demo.shop.com/products/{uniqueUrl}"
The name of the user who last changed the Application entity, null if never changed
[ { "Id": 0, "Key": "5eb041b0-19c9-4022-bd51-0e723885f5dd", "Name": "string", "Description": "string", "HostClientId": 0, "Url": "string", "ProductUrl": "string", "IsActive": true, "Changed": "string", "ChangedBy": "string" } ]